org.jbpm.casemgmt.impl.model.instance

## Class CommentInstanceImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.instance.CommentInstanceImpl

- All Implemented Interfaces:
    Serializable, CommentInstance

      public class CommentInstanceImpl
      extends Object
      implements CommentInstance

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommentInstanceImpl(String author, String comment, List<String> restrictedTo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthor()` Author of the comment
    `String` | `getComment()` Actual comment test
    `Date` | `getCreatedAt()` Exact date at which comment was added.
    `String` | `getId()` Returns unique id assigned to this comment
    `List<String>` | `getRestrictedTo()` List of case roles given comment is restricted to
    `void` | `setComment(String comment)`
    `void` | `setRestrictedTo(List<String> restrictedTo)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommentInstanceImpl

          public CommentInstanceImpl(String author,
                                     String comment,
                                     List<String> restrictedTo)

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `CommentInstance`
      Returns unique id assigned to this comment
      Specified by:
        `getId` in interface `CommentInstance`
      Returns:
        id of the comment

    - #### getCreatedAt

          public Date getCreatedAt()

      Description copied from interface: `CommentInstance`
      Exact date at which comment was added.
      Specified by:
        `getCreatedAt` in interface `CommentInstance`
      Returns:
        created at date

    - #### getAuthor

          public String getAuthor()

      Description copied from interface: `CommentInstance`
      Author of the comment
      Specified by:
        `getAuthor` in interface `CommentInstance`
      Returns:
        id of the author

    - #### getComment

          public String getComment()

      Description copied from interface: `CommentInstance`
      Actual comment test
      Specified by:
        `getComment` in interface `CommentInstance`
      Returns:
        the comment

    - #### setComment

          public void setComment(String comment)

    - #### getRestrictedTo

          public List<String> getRestrictedTo()

      Description copied from interface: `CommentInstance`
      List of case roles given comment is restricted to
      Specified by:
        `getRestrictedTo` in interface `CommentInstance`
      Returns:
        restrictions

    - #### setRestrictedTo

          public void setRestrictedTo(List<String> restrictedTo)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.